Index: squid3/src/TextException.h
===================================================================
RCS file: /cvsroot/squid-sf//squid3/src/Attic/TextException.h,v
retrieving revision 1.1.2.1
retrieving revision 1.1.2.2
diff -u -r1.1.2.1 -r1.1.2.2
--- squid3/src/TextException.h	19 Aug 2005 20:18:07 -0000	1.1.2.1
+++ squid3/src/TextException.h	26 Aug 2005 20:28:41 -0000	1.1.2.2
@@ -6,20 +6,23 @@
 
 // simple exception to report custom errors
 // we may want to change the interface to be able to report system errors
-class TextException {
-	public:
-		TextException(const char *aMessage, const char *aFileName = 0, int aLineNo = -1);
-		~TextException();
-
-		// ostream &print(ostream &os) const;
-
-	public:
-		char *message; // read-only
-
-	protected:
-		// optional location information
-		const char *theFileName;
-		int theLineNo;
+
+class TextException
+{
+
+public:
+    TextException(const char *aMessage, const char *aFileName = 0, int aLineNo = -1);
+    ~TextException();
+
+    // ostream &print(ostream &os) const;
+
+public:
+    char *message; // read-only
+
+protected:
+    // optional location information
+    const char *theFileName;
+    int theLineNo;
 };
 
 //inline
Index: squid3/src/client_side_reply.cc
===================================================================
RCS file: /cvsroot/squid-sf//squid3/src/client_side_reply.cc,v
retrieving revision 1.61.2.3
retrieving revision 1.61.2.4
diff -u -r1.61.2.3 -r1.61.2.4
--- squid3/src/client_side_reply.cc	26 Aug 2005 19:09:56 -0000	1.61.2.3
+++ squid3/src/client_side_reply.cc	26 Aug 2005 20:28:41 -0000	1.61.2.4
@@ -1,6 +1,6 @@
 
 /*
- * $Id: client_side_reply.cc,v 1.61.2.3 2005/08/26 19:09:56 dwsquid Exp $
+ * $Id: client_side_reply.cc,v 1.61.2.4 2005/08/26 20:28:41 dwsquid Exp $
  *
  * DEBUG: section 88    Client-side Reply Routines
  * AUTHOR: Robert Collins (Originally Duane Wessels in client_side.c)
@@ -1943,18 +1943,21 @@
         clientStreamInsertHead(&http->client_stream, esiStreamRead,
                                esiProcessStream, esiStreamDetach, esiStreamStatus, NULL);
     }
+
 #endif
 
 #if ICAP_CLIENT_RESPMOD_POSTCACHE
 
-        debug(88, 0) ("Enabling ICAP processing for %s\n", http->uri);
-        clientStreamInsertHead(&http->client_stream, icapclientStreamRead,
-                               icapclientProcessStream,
-				icapclientStreamDetach,
-				icapclientStreamStatus,
-				NULL);
+    debug(88, 0) ("Enabling ICAP processing for %s\n", http->uri);
+
+    clientStreamInsertHead(&http->client_stream, icapclientStreamRead,
+                           icapclientProcessStream,
+                           icapclientStreamDetach,
+                           icapclientStreamStatus,
+                           NULL);
 
 #endif
+
     if (http->request->method == METHOD_HEAD) {
         /* do not forward body for HEAD replies */
         body_size = 0;
Index: squid3/src/http.cc
===================================================================
RCS file: /cvsroot/squid-sf//squid3/src/http.cc,v
retrieving revision 1.49.2.18
retrieving revision 1.49.2.19
diff -u -r1.49.2.18 -r1.49.2.19
--- squid3/src/http.cc	26 Aug 2005 20:18:55 -0000	1.49.2.18
+++ squid3/src/http.cc	26 Aug 2005 20:28:41 -0000	1.49.2.19
@@ -1,6 +1,6 @@
 
 /*
- * $Id: http.cc,v 1.49.2.18 2005/08/26 20:18:55 dwsquid Exp $
+ * $Id: http.cc,v 1.49.2.19 2005/08/26 20:28:41 dwsquid Exp $
  *
  * DEBUG: section 11    Hypertext Transfer Protocol (HTTP)
  * AUTHOR: Harvest Derived
@@ -100,6 +100,7 @@
     if (!memBufIsNull(httpState->reply_hdr)) {
         memBufClean(httpState->reply_hdr);
     }
+
     delete httpState->reply_hdr;	/* why clean? */
 
     requestUnlink(httpState->request);
@@ -706,42 +707,50 @@
 
     memBufAppend(reply_hdr, buf, size);
 
-	http_status error = HTTP_STATUS_NONE;
-	const bool parsed = reply->parse(reply_hdr, eof, &error);
+    http_status error = HTTP_STATUS_NONE;
+
+    const bool parsed = reply->parse(reply_hdr, eof, &error);
 
-	if (!parsed && error > 0) { // unrecoverable parsing error
+    if (!parsed && error > 0) { // unrecoverable parsing error
         debugs(11, 3, "httpProcessReplyHeader: Non-HTTP-compliant header: '" <<  reply_hdr->buf << "'");
         flags.headers_parsed = 1;
         memBufClean(reply_hdr);
-		// negated result yields http_status
+        // negated result yields http_status
         failReply (reply, error);
         ctx_exit(ctx);
         return;
-	}
+    }
+
+    if (!parsed) { // need more data
+        assert(!error);
+        assert(!eof);
+        // XXX: the comment above says this routine is not incremental, yet
+        // we are returning without destroying "reply" as if we expect to
+        // be called again. Benign, leak, or worse?
+        ctx_exit(ctx);
+        return;
+    }
+
+    // parsing success
+    assert(parsed);
+
+    const size_t hdr_size = reply->hdr_sz;
+
+    assert(0 < hdr_size && hdr_size <= (size_t)size);
+
+    reply_hdr->buf[hdr_size] = '\0';
 
-	if (!parsed) { // need more data
-		assert(!error);
-		assert(!eof);
-		// XXX: the comment above says this routine is not incremental, yet
-		// we are returning without destroying "reply" as if we expect to
-		// be called again. Benign, leak, or worse?
-		ctx_exit(ctx);
-		return;
-	}
-
-	// parsing success
-	assert(parsed);
-	const size_t hdr_size = reply->hdr_sz;
-	assert(0 < hdr_size && hdr_size <= (size_t)size);
-	reply_hdr->buf[hdr_size] = '\0';
+    flags.headers_parsed = 1;
 
-	flags.headers_parsed = 1;
     debug(11, 9) ("GOT HTTP REPLY HDR:\n---------\n%s\n----------\n",
                   reply_hdr->buf);
 
     keepaliveAccounting(reply);
+
     checkDateSkew(reply);
+
     processSurrogateControl (reply);
+
     /* TODO: IF the reply is a 1.0 reply, AND it has a Connection: Header
      * Parse the header and remove all referenced headers
      */
@@ -753,10 +762,10 @@
      * from the network.
      */
     if (doIcap() < 0) {
-	/*
-	 * XXX Maybe instead of an error page we should
-	 * handle the reply normally (without ICAP).
-	 */
+        /*
+         * XXX Maybe instead of an error page we should
+         * handle the reply normally (without ICAP).
+         */
         ErrorState *err = errorCon(ERR_ICAP_FAILURE, HTTP_INTERNAL_SERVER_ERROR);
         err->xerrno = errno;
         err->request = requestLink(orig_request);
@@ -764,6 +773,7 @@
         comm_close(fd);
         return;
     }
+
     icap->startRespMod(this, request, reply);
 #else
 
@@ -820,6 +830,7 @@
 
 #if WIP_FWD_LOG
     fwdStatus(fwd, s);
+
 #endif
     /*
      * If its not a reply that we will re-forward, then
@@ -1215,8 +1226,8 @@
             debug(11,5)("processReplyData: COMPLETE_NONPERSISTENT_MSG\n");
 
 #if REALLY
-// hope we can just use transactionComplete() instead of
-// this repeated code.
+            // hope we can just use transactionComplete() instead of
+            // this repeated code.
             /* close the connection ourselves */
             /* yes - same as for a complete persistent conn here */
             commSetTimeout(fd, -1, NULL, NULL);
@@ -1245,30 +1256,34 @@
 void
 HttpStateData::maybeReadData()
 {
-	int read_sz = SQUID_TCP_SO_RCVBUF;
+    int read_sz = SQUID_TCP_SO_RCVBUF;
 #if ICAP_CLIENT
+
     if (icap) {
-	/*
-	 * Our ICAP message pipes have a finite size limit.  We
-	 * should not read more data from the network than will fit
-	 * into the pipe buffer.  If totally full, don't register
-	 * the read handler at all.  The ICAP side will call our
-	 * icapSpaceAvailable() method when it has free space again.
-	 */
-	int icap_space = icap->potentialSpaceSize();
-	if (icap_space < read_sz)
-		read_sz = icap_space;
-	/*
-	 * why <2? Because delayAwareRead() won't actually read if
-	 * you ask it to read 1 byte.  The delayed read request
-	 * just gets re-queued until the client side drains, then
-	 * the I/O thread hangs.  Better to not register any read
-	 * handler until we get a notification from ICAP that
-	 * space is available.
-	 */
-	if (read_sz < 2)
-		return;
+        /*
+         * Our ICAP message pipes have a finite size limit.  We
+         * should not read more data from the network than will fit
+         * into the pipe buffer.  If totally full, don't register
+         * the read handler at all.  The ICAP side will call our
+         * icapSpaceAvailable() method when it has free space again.
+         */
+        int icap_space = icap->potentialSpaceSize();
+
+        if (icap_space < read_sz)
+            read_sz = icap_space;
+
+        /*
+         * why <2? Because delayAwareRead() won't actually read if
+         * you ask it to read 1 byte.  The delayed read request
+         * just gets re-queued until the client side drains, then
+         * the I/O thread hangs.  Better to not register any read
+         * handler until we get a notification from ICAP that
+         * space is available.
+         */
+        if (read_sz < 2)
+            return;
     }
+
 #endif
     if (flags.do_next_read) {
         flags.do_next_read = 0;
@@ -2031,19 +2046,21 @@
 void
 HttpStateData::icapSpaceAvailable()
 {
-	debug(11,5)("HttpStateData::icapSpaceAvailable() called\n");
-	maybeReadData();
+    debug(11,5)("HttpStateData::icapSpaceAvailable() called\n");
+    maybeReadData();
 }
 
 void
 HttpStateData::takeAdaptedHeaders(HttpReply *rep)
 {
     debug(11,5)("HttpStateData::takeAdaptedHeaders() called\n");
+
     if (!entry->isAccepting()) {
-	debug(11,5)("\toops, entry is not Accepting!\n");
-	icap->ownerAbort();
-	return;
+        debug(11,5)("\toops, entry is not Accepting!\n");
+        icap->ownerAbort();
+        return;
     }
+
     storeEntryReplaceObject(entry, rep);
     /*
      * After calling storeEntryReplaceObject() we give up control
@@ -2062,25 +2079,27 @@
     debug(11,5)("\t%d is current offset\n", (int)currentOffset);
 
     if (!entry->isAccepting()) {
-	debug(11,5)("\toops, entry is not Accepting!\n");
-	icap->ownerAbort();
-	return;
+        debug(11,5)("\toops, entry is not Accepting!\n");
+        icap->ownerAbort();
+        return;
     }
 
     entry->write(StoreIOBuffer(buf, currentOffset)); // write everything
     currentOffset += buf->contentSize();
-	buf->consume(buf->contentSize()); // consume everything written
+    buf->consume(buf->contentSize()); // consume everything written
 }
 
 void
 HttpStateData::doneAdapting()
 {
     debug(11,5)("HttpStateData::doneAdapting() called\n");
+
     if (!entry->isAccepting()) {
-	debug(11,5)("\toops, entry is not Accepting!\n");
-	icap->ownerAbort();
-	return;
+        debug(11,5)("\toops, entry is not Accepting!\n");
+        icap->ownerAbort();
+        return;
     }
+
     fwdComplete(fwd);
     httpStateFree(-1, this);
     assert(fd == -1);
@@ -2090,18 +2109,20 @@
 HttpStateData::abortAdapting()
 {
     debug(11,5)("HttpStateData::abortAdapting() called\n");
+
     if (entry->isEmpty()) {
-	ErrorState *err;
-	err = errorCon(ERR_ICAP_FAILURE, HTTP_INTERNAL_SERVER_ERROR);
-	err->request = requestLink((HttpRequest *) request);
-	err->xerrno = errno;
-	fwdFail(fwd, err);
-	flags.do_next_read = 0;
+        ErrorState *err;
+        err = errorCon(ERR_ICAP_FAILURE, HTTP_INTERNAL_SERVER_ERROR);
+        err->request = requestLink((HttpRequest *) request);
+        err->xerrno = errno;
+        fwdFail(fwd, err);
+        flags.do_next_read = 0;
     } else {
-    	fwdComplete(fwd);
+        fwdComplete(fwd);
     }
+
     if (fd >= 0)
-	comm_close(fd);
+        comm_close(fd);
     else
         httpStateFree(fd, this);
 }
Index: squid3/src/http.h
===================================================================
RCS file: /cvsroot/squid-sf//squid3/src/http.h,v
retrieving revision 1.11.4.7
retrieving revision 1.11.4.8
diff -u -r1.11.4.7 -r1.11.4.8
--- squid3/src/http.h	25 Aug 2005 20:51:27 -0000	1.11.4.7
+++ squid3/src/http.h	26 Aug 2005 20:28:42 -0000	1.11.4.8
@@ -1,6 +1,6 @@
 
 /*
- * $Id: http.h,v 1.11.4.7 2005/08/25 20:51:27 dwsquid Exp $
+ * $Id: http.h,v 1.11.4.8 2005/08/26 20:28:42 dwsquid Exp $
  *
  *
  * SQUID Web Proxy Cache          http://www.squid-cache.org/
@@ -51,6 +51,7 @@
     void maybeReadData();
     int cacheableReply();
 #if ICAP_CLIENT
+
     void takeAdaptedHeaders(HttpReply *);
     void takeAdaptedBody(MemBuf *);
     void doneAdapting();
@@ -76,6 +77,7 @@
     bool surrogateNoStore;
     void processSurrogateControl(HttpReply *);
 #if ICAP_CLIENT
+
     ICAPAnchor *icap;
 #endif
 
@@ -83,7 +85,7 @@
      * getReply() public only because it is called from a static function
      * as httpState->getReply()
      */
-    const HttpReply * getReply() const { return reply ? reply : entry->getReply(); }
+const HttpReply * getReply() const { return reply ? reply : entry->getReply(); }
 
 private:
     /*
@@ -106,6 +108,7 @@
     void haveParsedReplyHeaders();
     void transactionComplete();
 #if ICAP_CLIENT
+
     int doIcap();
 #endif
 };
Index: squid3/src/store.cc
===================================================================
RCS file: /cvsroot/squid-sf//squid3/src/store.cc,v
retrieving revision 1.27.8.4
retrieving revision 1.27.8.5
diff -u -r1.27.8.4 -r1.27.8.5
--- squid3/src/store.cc	26 Aug 2005 20:18:55 -0000	1.27.8.4
+++ squid3/src/store.cc	26 Aug 2005 20:28:42 -0000	1.27.8.5
@@ -1,6 +1,6 @@
 
 /*
- * $Id: store.cc,v 1.27.8.4 2005/08/26 20:18:55 dwsquid Exp $
+ * $Id: store.cc,v 1.27.8.5 2005/08/26 20:28:42 dwsquid Exp $
  *
  * DEBUG: section 20    Storage Manager
  * AUTHOR: Harvest Derived
@@ -1906,11 +1906,13 @@
 bool
 StoreEntry::isAccepting() const
 {
-	if (STORE_PENDING != store_status)
-		return false;
-	if (EBIT_TEST(flags, ENTRY_ABORTED))
-		return false;
-	return true;
+    if (STORE_PENDING != store_status)
+        return false;
+
+    if (EBIT_TEST(flags, ENTRY_ABORTED))
+        return false;
+
+    return true;
 }
 
 /* NullStoreEntry */
